Subject: RE: [seamoby] Issue 1: Change AN Terminology

From: "Gary Kenward" <[email-masked]>
Date: Wed, 20 Jun 2001 10:13:13 -0400

With apologies for getting this responses out of order (the
original emails have appeared out of order in my mail box).

An FN is simply an AR or an MR. It can also be a "access gateway" (AG?) -
at one time there was a discussion of CT between AGs. Like others, I think
that CT should be designed to carry context between two "like" nodes. And, 
the CT solution should not be restricted by specific topological 
assumptions. I think this is more in keeping with the architectural
principles of the internet (RFC1958). 

If you check the problem statement (both -01 and -02), the concept of ct is
to transfer context related to the "forwarding service". Hence, ct is useful
to forwarding nodes.

I hope this helps.
Gary

> -----Original Message-----
> From: Mark Smith [mailto:[email-masked]]
> Sent: Tuesday, June 19, 2001 8:10 PM
> To: [email-masked]'
> Subject: [seamoby] Issue 1: Change AN Terminology
> 
> 
> I would have to agree with this.  I'm trying to think of a situation 
> where a FN (as defined below) would not function the same fixed as it 
> would being a MN itself, and I can't think of one.
> 
> I think this would (should?  Please?) address Phil's issues (which I 
> think are valid points about not wanting to limit ARs, as previously 
> defined, to fixed, hardwired nodes) which were largely terminology 
> related, not a grand conspiracy against MANETs and everything 
> they stand 
> for....  :-)   (Just kidding, Phil.  :)
> 
> The only thing I request be added is a definition of the term 
> "Forwarding Node" and _WHY_ we've made the distinction.  
> Making sure to 
> point out that, in the context of CTP, an FN can be a fixed 
> AR _OR_ a MN 
> itself.  But, for the context of this particular CTP session, it's 
> acting as an AR.  (Did that make sense?  Too many "context"s..)
> 
> -Mark
> 
> Gary Kenward wrote:
> 
> > Description of issue:
> > The current requirements document uses fixed access network specific
> >      terminology. The current requirements document uses 
> fixed access 
> > network specific
> >      terminology.
> > Submitter name: Gary Kenward
> > Submitter email address: [email-masked]
> > Date first submitted: June 17, 2001
> > Reference: 
> > Comment type: 'E'ditorial
> > Priority: '1' Should fix
> > Section: All
> > Rationale/Explanation of issue:
> >      The current requirements document uses fixed access 
> network specific
> >      terminology. In particular, "access router". It is 
> suggested that
> >      "access router" and "AR" be changed to "forwarding 
> node" or "FN" as
> >      used in the problem statement. Text can be added to 
> the Terminology
> >      section explaining the different examples of forwarding nodes.
> > 
> >      Note: if someone has a better term then "FN", fine. 
> Some consideration
> >      for consistency with the problem statement is probably 
> worthwhile, but
> >      we should use a term that everyone understands, and is 
> not considered
> >      bias.
> > 
> >      I believe that "access network" is still neutral 
> enough to refer to
> >      both fixed access networks and all-wireless access 
> networks. However,
> >      if there is a better term, this too could be changed.
> > 
> > Requested change:
> >      It is suggested that "access router" and "AR" be changed to
> >      "forwarding node" or "FN" as used in the problem 
> statement. Text 
> > can be
> >      added to the Terminology section explaining the 
> different examples of
> >      forwarding nodes.
> > 
> > Proposal
> >      See requested change.
> > 
> 
> 
>